Subject: Re: problem with make in b18
From: [email-masked] ("$Bill Luebkert")

4 Jun 1997 21:12:14 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Mailer: Mozilla 4.0b5 [en] (Win95; I)
MIME-Version: 1.0
Original-To: Nicholas J Brealey <[email-masked]>
Original-CC: [email-masked]
X-Priority: 3 (Normal)
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-Sender: [email-masked]

Nicholas J Brealey wrote:
> 
> I have come across a strange problem with make with b18.
> 
> I have two make files:
> 
> one.mk contains
> 
> all:
>         @echo CC=$(CC)
>         @make -f two.mk
> 
> two.mk conatins
> 
> all:
>         @echo CC=$(CC)
> 
> With b18 on NT4.0 and Win95 I get the following behaviour:
> 
> $ make -f one.make CC=xx
> CC=xx
> CC=gcc
> 
> but using Gnu make on Solaris or Linux or using Gnu make compiled as a
> native application on NT 4.0 I get:
> $ make -f one.mk
> CC=xx
> make[1]: Entering directory `/home/nick'
> CC=xx
> make[1]: Leaving directory `/home/nick'
> 
> or
> 
> $ make -s -f one.mk CC=xx
> CC=xx
> CC=xx
> 
> Does anyone have any ideas?

Try changing the '@make -f two.mk' to '@make -e -f two.mk'.

Actually '@$(MAKE) -e -f two.mk' would be better, I think. :)

-- 
  ,-/-  __      _  _         $Bill Luebkert
 (_/   /  )    // //       DBE Collectibles
  / ) /--<  o // //      http://www.wgn.net/~dbe/
-/-' /___/_<_</_</_    Email: [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".